### Type parameters

- #### T

- #### TJson

### Hierarchy

- MapWithId

## Index

### Constructors

- constructor

### Methods

- get
- getId
- set
- toJson

## Constructors

### constructor

- new MapWithId(prefix: string): MapWithId

- - Defined in parser/serializer.ts:174

  #### Parameters

  - ##### prefix: string

  #### Returns MapWithId

## Methods

### get

- get(key: T): TJson

- - Defined in parser/serializer.ts:190

  #### Parameters

  - ##### key: T

  #### Returns TJson

### getId

- getId(key: T): string

- - Defined in parser/serializer.ts:198

  #### Parameters

  - ##### key: T

  #### Returns string

### set

- set(key: T, value: TJson, id?: undefined | string): string

- - Defined in parser/serializer.ts:182

  #### Parameters

  - ##### key: T

  - ##### value: TJson

  - ##### Optional id: undefined | string

  #### Returns string

### toJson

- toJson(): object

- - Defined in parser/serializer.ts:206

  #### Returns object

  - ##### [key: string]: TJson

Generated using TypeDoc